[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.Toggle

Toggles the checked state for the check box at the specified position.

## Declaration

Source position: comboex.pas line 322

`public procedure TCustomCheckCombo.Toggle(`
`AIndex: Integer`
`);`

## Arguments

`AIndex` |  | Ordinal position for the check box affected in the method.

## Description

Toggle is a method used to toggle the checked state for the combo-box item at the position specified in AIndex. Toggle sets the value in the indexed State property to the next TCheckBoxState value for the entry in Items.

The value in the AllowGrayed property is used to determine the next checked stated. When AllowGrayed is False, the value progresses in the order cbUnchecked to cbChecked and repeats. When AllowGrayed is True, the order is cbGrayed, cbUnchecked, cbChecked and repeats.

Toggle is called from the KeyDown and DropDown methods when the Return or Space key is pressed on the item in ItemIndex and the item is Enabled. It is also called from the Select method.